﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using System.Web.Routing;

namespace demo.MVC
{
    public class RouteConfig
    {
        public static void RegisterRoutes(RouteCollection routes)
        {
            routes.IgnoreRoute("{resource}.axd/{*pathInfo}");

            /*For creating the Index link from @Url.Action()*/
            routes.MapRoute("Index", "", new { controller = "CrudOperations", action = "Index", id = UrlParameter.Optional, page = UrlParameter.Optional, index = "index" });
            /*End*/

            /*For creating the Paging link from @Url.Action()*/
            routes.MapRoute("Paging", "{page}", new { controller = "CrudOperations", action = "Index", id = UrlParameter.Optional, page = UrlParameter.Optional });
            /*End*/

            routes.MapRoute(
                name: "Default",
                url: "{controller}/{action}/{id}",
                defaults: new { controller = "CrudOperations", action = "Index", id = UrlParameter.Optional }
            );
        }
    }
}